# AUTOGENERATED! DO NOT EDIT! File to edit: nbs/03-texts.ipynb (unless otherwise specified).

__all__ = ['welcome_text', 'settings_text', 'after_rocket_text', 'start_search_text', 'stop_search_text',
           'see_search_setting_text', 'no_recommended_vacancies_text', 'proforientation', 'payment_text']

# Cell
import pandas as pd

# Cell

# сообщение после нажатия /start:

def welcome_text():
    return """
<b><i>👋 Рады приветствовать тебя на сервисе EmployMe</i></b>!

Забудь о трате бесценного времени на просмотр сотен объявлений в поисках идеальной вакансии. Наш сервис берет эту рутинную задачу на себя, чтобы ты мог сосредоточиться на своих навыках и развитии карьеры!

Ты всего в одном шаге от самого сочного оффера! Просто загрузи резюме в <i>формате PDF</i>, и наш алгоритм проведет точный <i>мэтчинг</i> между твоим профилем и требованиями вакансий.

Не забудь задать <i>фильтр откликов</i>, чтобы всегда быть в числе первых откликнувшихся, и HR чаще замечали тебя!

А дальше? Я буду активно сканировать <i>HeadHunter</i>, чтобы найти самые актуальные вакансии, и каждый день присылать их прямо в этот чат. Тебе остается только откликнуться!

<b><i>Наши дополнительные функции:</i></b>
<i>- Аналитика вакансий</i>
<i>- Профориентация</i>

Звучит интересно? <i>Тогда начнем!</i>
"""

# Cell

# сообщение внутри меню настроек:

def settings_text(status, search_settings):
    return  f"""
Нажми <b>"Настроить поиск"</b>, чтобы заполнить критерии поиска и добавить свое резюме.

После заполнения поиск подходящих вакансий начнется автоматически.

<b>Статус:</b> <i>{status}</i>
<b>Критерии поиска:</b> <i>{search_settings}</i>
"""

# Cell

# сообщение после нажатия 'Вперед! 🚀':

def after_rocket_text():
    return  f"""
В нижнем левом углу экрана будет доступна кнопка <b>«Menu»</b>.

Нажми ее и выбери команду\n<b>«⚙️ Настроить поиск»</b> для загрузки резюме и выбора фильтров вакансий.
"""

# Cell

# сообщение после нажатия '▶️ Запустить поиск':

def start_search_text():
       return """
🚀 Поиск запущен. Ежедневно я буду присылать новые вакансии, если найду что-нибудь подходящее.
А пока покажу недавние вакансии по твоему запросу. <i>Минуточку...</i>
"""

# Cell

# сообщение после нажатия '⏸️ Остановить поиск':

def stop_search_text():
       return """
😴 Поиск остановлен. Возобновить его ты всегда можешь в настройках поиска.
"""

# Cell

# cообщение после нажатия '👀 Посмотреть мои критерии поиска':

def see_search_setting_text(cv, max_responses, experience, inserted_into_db_msk):
    if cv == None: cv = 'не загружено'
    else: cv = 'загружено'

    # if min_salary != 'не задано': min_salary = f'{min_salary} руб.'

    # if remote==1: remote = 'любой'
    # elif remote==2: remote = 'очный'
    # elif remote==3: remote = 'удаленный'

    return f"""
🧐 <i><b>ТЕКУЩИЕ КРИТЕРИИ ПОИСКА:</b></i>

<b>Резюме:</b> <i>{cv}</i>

<b>Макс. количество откликов:</b> <i>{max_responses}</i>

<b>Опыт:</b> <i>{experience}</i>

<b>Дата последней настройки поиска:</b> <i>{inserted_into_db_msk}</i>
"""

# Cell

# сообщение если не нашлось рекомендуемых вакансий для chat_id сегодня:

def no_recommended_vacancies_text():
    return """
😔 Сегодня для тебя не нашлось новых вакансий!

Попробуй расширить критерии поиска или подожди пока я смогу найти что-то подходящее завтра!
"""

# Cell

# cообщение после нажатия '👨‍💻 Профориентация':

def proforientation(professionalrole_vs_avg_similarity):
    best_5_professionalroles = professionalrole_vs_avg_similarity.head(5)['professional_role'].to_list()

    return f"""
🧐 <i><b>ТОП 5 СПЕЦИАЛЬНОСТЕЙ, ПОДХОДЯЩИХ ТВОЕМУ РЕЗЮМЕ:</b></i>

1️⃣ {best_5_professionalroles[0]}

2️⃣ {best_5_professionalroles[1]}

3️⃣ {best_5_professionalroles[2]}

4️⃣ {best_5_professionalroles[3]}

5️⃣ {best_5_professionalroles[4]}
"""

# Cell

# текст в сообщении после нажатия "Оплатить подписку":
def payment_text(secs):
    remaining_minutes = secs // 60
    remaining_secs = secs % 60
    return f"""
<i><b>Выберите вариант оплаты:</b></i>

Осталось: <i>{remaining_minutes} мин. {remaining_secs} сек.</i>

<b>После истечения времени оплата не сможет быть проверена!</b>
"""